Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class PingMe

    java.lang.Object
      org.drupal.project.async_command.AsyncCommand
          org.drupal.project.async_command.PingMe

All Implemented Interfaces:
  java.lang.Runnable

    public class PingMe

extends AsyncCommand

Simple command to test Drupal database connection.

Nested Class Summary

Nested classes/interfaces inherited from class org.drupal.project.async_command.AsyncCommand
`AsyncCommand.Control, AsyncCommand.Status`

Field Summary

Fields inherited from class org.drupal.project.async_command.AsyncCommand
`commandMessage, commandStatus, druplet, logger, record`

Constructor Summary
`PingMe(CommandRecord record, Druplet druplet)`

Method Summary
`protected void` | `afterExecute()` Usually save results back to 'record'
`protected void` | `beforeExecute()` Usually initialize the command from 'record'
`protected void` | `execute()` Execute this command.

Methods inherited from class org.drupal.project.async_command.AsyncCommand
`getDrupalConnection, getDruplet, getIdentifier, getRecord, run, setDruplet, setRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingMe

    public PingMe(CommandRecord record,
                  Druplet druplet)

Method Detail

### beforeExecute

    protected void beforeExecute()

  Description copied from class: `AsyncCommand`
  Usually initialize the command from 'record'

  Overrides:
    `beforeExecute` in class `AsyncCommand`

### execute

    protected void execute()

  Description copied from class: `AsyncCommand`
  Execute this command. All parameters should be set before executing this command, preferably in the beforeExecute(). After execution, the results could be handled in afterExecute(). Either override this one, or the "run()" method.

  Overrides:
    `execute` in class `AsyncCommand`

### afterExecute

    protected void afterExecute()

  Description copied from class: `AsyncCommand`
  Usually save results back to 'record'

  Overrides:
    `afterExecute` in class `AsyncCommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD